Overview | Modules | Class Hierarchy | Classes | Members

Public Types | Public Member Functions | Protected Attributes
tlp::GraphEvent Class Reference
Graphs

Event class for specific events on Graph. More...

`#include <Graph.h>`

Inheritance diagram for tlp::GraphEvent:
[legend]
Collaboration diagram for tlp::GraphEvent:
[legend]

List of all members.

## Public Types

- enum GraphEventType {
  TLP_ADD_NODE = 0, TLP_DEL_NODE, TLP_ADD_EDGE, TLP_DEL_EDGE,
  TLP_REVERSE_EDGE, TLP_BEFORE_SET_ENDS, TLP_AFTER_SET_ENDS, TLP_ADD_NODES,
  TLP_ADD_EDGES, TLP_ADD_SUBGRAPH, TLP_DEL_SUBGRAPH, TLP_ADD_LOCAL_PROPERTY,
  TLP_BEFORE_DEL_LOCAL_PROPERTY, TLP_AFTER_DEL_LOCAL_PROPERTY, TLP_ADD_INHERITED_PROPERTY, TLP_BEFORE_DEL_INHERITED_PROPERTY,
  TLP_AFTER_DEL_INHERITED_PROPERTY, TLP_BEFORE_SET_ATTRIBUTE, TLP_AFTER_SET_ATTRIBUTE, TLP_REMOVE_ATTRIBUTE
  }

## Public Member Functions

- GraphEvent (const Graph &g, GraphEventType graphEvtType, unsigned int id, Event::EventType evtType=Event::TLP_MODIFICATION)
- GraphEvent (const Graph &g, GraphEventType graphEvtType, const std::vector< node > &nodes, Event::EventType evtType=Event::TLP_MODIFICATION)
- GraphEvent (const Graph &g, GraphEventType graphEvtType, const std::vector< edge > &edges, Event::EventType evtType=Event::TLP_MODIFICATION)
- GraphEvent (const Graph &g, GraphEventType graphEvtType, const Graph *sg)
- GraphEvent (const Graph &g, GraphEventType graphEvtType, const std::string &str, Event::EventType evtType=Event::TLP_MODIFICATION)
- ~GraphEvent ()
- Graph * getGraph () const
- node getNode () const
- edge getEdge () const
- const std::vector< node > & getNodes () const
- const std::vector< edge > & getEdges () const
- const Graph * getSubGraph () const
- const std::string & getAttributeName () const
- const std::string & getPropertyName () const
- GraphEventType getType () const

## Protected Attributes

- GraphEventType evtType
- union {
  - unsigned int eltId
  - const Graph * tlp::GraphEvent::subGraph
  - std::string * tlp::GraphEvent::name
  - const std::vector< node > * tlp::GraphEvent::nodes
  - const std::vector< edge > * tlp::GraphEvent::edges
- } info

## Detailed Description

Event class for specific events on Graph.

## Member Enumeration Documentation

enum tlp::GraphEvent::GraphEventType

Enumerator:

  TLP_ADD_NODE |
  TLP_DEL_NODE |
  TLP_ADD_EDGE |
  TLP_DEL_EDGE |
  TLP_REVERSE_EDGE |
  TLP_BEFORE_SET_ENDS |
  TLP_AFTER_SET_ENDS |
  TLP_ADD_NODES |
  TLP_ADD_EDGES |
  TLP_ADD_SUBGRAPH |
  TLP_DEL_SUBGRAPH |
  TLP_ADD_LOCAL_PROPERTY |
  TLP_BEFORE_DEL_LOCAL_PROPERTY |
  TLP_AFTER_DEL_LOCAL_PROPERTY |
  TLP_ADD_INHERITED_PROPERTY |
  TLP_BEFORE_DEL_INHERITED_PROPERTY |
  TLP_AFTER_DEL_INHERITED_PROPERTY |
  TLP_BEFORE_SET_ATTRIBUTE |
  TLP_AFTER_SET_ATTRIBUTE |
  TLP_REMOVE_ATTRIBUTE |

## Member Data Documentation

unsigned int tlp::GraphEvent::eltId

Tulip Software by LaBRI Visualization Team 2001 - 2012